Module org.firebirdsql.jaybird
Package org.firebirdsql.gds

# Enum Class ClumpletReader.Kind

java.lang.Object
java.lang.Enum<ClumpletReader.Kind>
org.firebirdsql.gds.ClumpletReader.Kind

All Implemented Interfaces:
  `Serializable`, `Comparable<ClumpletReader.Kind>`, `Constable`

Enclosing class:
  ClumpletReader

public static enum ClumpletReader.Kind extends Enum<ClumpletReader.Kind>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `InfoItems`
  `InfoResponse`
  `SpbAttach`
  `SpbReceiveItems`
  `SpbSendItems`
  `SpbStart`
  `Tagged`
  `Tpb`
  `UnTagged`
  `WideTagged`
  `WideUnTagged`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isTagged()`
  `static ClumpletReader.Kind`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ClumpletReader.Kind[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Tagged

    public static final ClumpletReader.Kind Tagged

  - ### UnTagged

    public static final ClumpletReader.Kind UnTagged

  - ### SpbAttach

    public static final ClumpletReader.Kind SpbAttach

  - ### SpbStart

    public static final ClumpletReader.Kind SpbStart

  - ### Tpb

    public static final ClumpletReader.Kind Tpb

  - ### WideTagged

    public static final ClumpletReader.Kind WideTagged

  - ### WideUnTagged

    public static final ClumpletReader.Kind WideUnTagged

  - ### SpbSendItems

    public static final ClumpletReader.Kind SpbSendItems

  - ### SpbReceiveItems

    public static final ClumpletReader.Kind SpbReceiveItems

  - ### InfoResponse

    public static final ClumpletReader.Kind InfoResponse

  - ### InfoItems

    public static final ClumpletReader.Kind InfoItems

- ## Method Details

  - ### values

    public static ClumpletReader.Kind[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ClumpletReader.Kind valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### isTagged

    public boolean isTagged()